USE COWS
GO

CREATE TABLE [dbo].[LK_WEB_ACTY_TYPE]
( 
	[WEB_ACTY_TYPE_ID]      SMALLINT  		NOT NULL,
	[WEB_ACTY_TYPE_NME] [varchar](255) NOT NULL,
	[WEB_ACTY_TYPE_DESC] [varchar](1000) NOT NULL,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_LK_WEB_ACTY_TYPE_RECSTUSID_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL CONSTRAINT [DF_LK_WEB_ACTY_TYPE_getdate_1]  DEFAULT (getdate()),
	CONSTRAINT [PK_LK_WEB_ACTY_TYPE] PRIMARY KEY CLUSTERED 
(
	[WEB_ACTY_TYPE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[LK_WEB_ACTY_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_WEB_ACTY_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_WEB_ACTY_TYPE] CHECK CONSTRAINT [FK01_LK_WEB_ACTY_TYPE]
GO

ALTER TABLE [dbo].[LK_WEB_ACTY_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_WEB_ACTY_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_WEB_ACTY_TYPE] CHECK CONSTRAINT [FK02_LK_WEB_ACTY_TYPE]
GO


CREATE TABLE [dbo].[WEB_ACTY_LOG]
( 
	[WEB_ACTY_LOG_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[WEB_ACTY_TYPE_ID] SMALLINT NOT NULL,
	[ACTY_VALU] VARCHAR(max) NOT NULL,
	[LOG_ID] BIGINT NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_WEB_ACTY_LOG_getdate_1]  DEFAULT (getdate()),
	CONSTRAINT [PK_WEB_ACTY_LOG] PRIMARY KEY CLUSTERED 
(
	[WEB_ACTY_LOG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[WEB_ACTY_LOG]  WITH NOCHECK ADD  CONSTRAINT [FK01_WEB_ACTY_LOG] FOREIGN KEY([WEB_ACTY_TYPE_ID])
REFERENCES [dbo].[LK_WEB_ACTY_TYPE] ([WEB_ACTY_TYPE_ID])
GO

ALTER TABLE [dbo].[WEB_ACTY_LOG] CHECK CONSTRAINT [FK01_WEB_ACTY_LOG]
GO

ALTER TABLE [dbo].[WEB_ACTY_LOG]  WITH NOCHECK ADD  CONSTRAINT [FK02_WEB_ACTY_LOG] FOREIGN KEY([LOG_ID])
REFERENCES [dbo].[WEB_SESSN_LOG] ([LOG_ID])
GO

ALTER TABLE [dbo].[WEB_ACTY_LOG] CHECK CONSTRAINT [FK02_WEB_ACTY_LOG]
GO